Name:           ksirk
Version:        1.7
Release:        3%{?dist}
Summary:        Turnbased multiplayer board strategy game (conquer the world!)
Group:          Amusements/Games
License:        GPLv2
URL:            http://home.gna.org/ksirk/index.shtml
Source0:        http://download.gna.org/ksirk/%{name}-%{version}.tar.bz2
Patch0:         ksirk-1.7-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3-devel kdegames-devel python gettext
Requires:       hicolor-icon-theme

%description
KsirK is a computerized version of a well known strategy board game. In the
current version, KsirK is a usable multi-player mono-machine game with a basic
AI. The goal of the game is simply to conquer the World... It is done by
attacking your neighbors with your armies. 


%prep
%setup -q
%patch0 -p1


%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./waf.py configure --prefix=%{_prefix}
./waf.py %{?_smp_mflags} -v


%install
rm -rf $RPM_BUILD_ROOT
./waf.py install --destdir=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_prefix}/lib/lib%{name}_*.la
%find_lang %{name}
# these are unversioned libs, which are only used by ksirk itself
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mv $RPM_BUILD_ROOT%{_prefix}/lib/lib%{name}_*.so \
  $RPM_BUILD_ROOT%{_libdir}/%{name}
# install a wrapper which sets LD_CONFIG_PATH so that ksirk can find its libs
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/bash
export LD_LIBRARY_PATH=%{_libdir}/%{name}
exec %{name}.bin "$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/locolor || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/locolor || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/icons/locolor
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_docdir}/HTML/%{name}


%changelog
* Tue Sep 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.7-3
- Release increment for rebuild due to koji weirdness

* Sat Sep  8 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.7-2
- Add missing gettext BuildRequires

* Sat Aug 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.7-1
- Initial Fedora package
